{$i-}
Type    battle      = record
            rec     : array [1..124] of byte;
        end;
Var     f           : file;
        stuff       : battle;
        i, count    : word;
        pos         : longint;

Begin
    if ParamCount <> 1 then
    begin
        writeln('Usage  :  battle_cr game');
        halt(0);
    end;

    assign(f,ParamStr(1)+'\unitref.dat');
    reset(f,1);
    if IOResult <> 0 then
    begin
        writeln('UNITREF_File not found');
        halt(1);
    end;

    for i:=1 to 80 do
    begin
        pos := FilePos(f);
        BlockRead(f,stuff,124,count);
        if count <> 124 then
        begin
            writeln('Read error');
            halt(2);
        end;
        Seek(f,pos);
        if (stuff.rec[1] > 2) and (stuff.rec[1] < 15) then
        begin
            stuff.rec[14] := 0; {Health ?}(*
            stuff.rec[43] := 1; {range Commander}*)
        end;
        BlockWrite(f,stuff,124,count);
    end;

    close(f);
End.
